io.agora.rtc

## Class EncryptionConfig

- java.lang.Object
- - io.agora.rtc.EncryptionConfig

-     public class EncryptionConfig
      extends java.lang.Object

  Encryption configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `encryptionKdfSalt` The encryption KDF salt
    `private java.lang.String` | `encryptionKey` The encryption key
    `private int` | `encryptionMode` The encryption mode

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionConfig()` Default constructor for EncryptionConfig.
    `EncryptionConfig(int encryptionMode, java.lang.String encryptionKey, byte[] encryptionKdfSalt)` Constructs EncryptionConfig with encryption mode, key, and KDF salt.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncryptionKdfSalt()` Gets the encryption KDF salt.
    `java.lang.String` | `getEncryptionKey()` Gets the encryption key.
    `int` | `getEncryptionMode()` Gets the encryption mode.
    `void` | `setEncryptionKdfSalt(byte[] encryptionKdfSalt)` Sets the encryption KDF salt.
    `void` | `setEncryptionKey(java.lang.String encryptionKey)` Sets the encryption key.
    `void` | `setEncryptionMode(int encryptionMode)` Sets the encryption mode.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### encryptionMode

          private int encryptionMode

      The encryption mode

    - #### encryptionKey

          private java.lang.String encryptionKey

      The encryption key

    - #### encryptionKdfSalt

          private byte[] encryptionKdfSalt

      The encryption KDF salt

  - ### Constructor Detail

    - #### EncryptionConfig

          public EncryptionConfig()

      Default constructor for EncryptionConfig.

    - #### EncryptionConfig

          public EncryptionConfig(int encryptionMode,
                                  java.lang.String encryptionKey,
                                  byte[] encryptionKdfSalt)

      Constructs EncryptionConfig with encryption mode, key, and KDF salt.
      Parameters:
        `encryptionMode` - The encryption mode
        `encryptionKey` - The encryption key
        `encryptionKdfSalt` - The encryption KDF salt

  - ### Method Detail

    - #### getEncryptionMode

          public int getEncryptionMode()

      Gets the encryption mode.
      Returns:
        The encryption mode

    - #### setEncryptionMode

          public void setEncryptionMode(int encryptionMode)

      Sets the encryption mode.
      Parameters:
        `encryptionMode` - The encryption mode

    - #### getEncryptionKey

          public java.lang.String getEncryptionKey()

      Gets the encryption key.
      Returns:
        The encryption key

    - #### setEncryptionKey

          public void setEncryptionKey(java.lang.String encryptionKey)

      Sets the encryption key.
      Parameters:
        `encryptionKey` - The encryption key

    - #### getEncryptionKdfSalt

          public byte[] getEncryptionKdfSalt()

      Gets the encryption KDF salt.
      Returns:
        The encryption KDF salt

    - #### setEncryptionKdfSalt

          public void setEncryptionKdfSalt(byte[] encryptionKdfSalt)

      Sets the encryption KDF salt.
      Parameters:
        `encryptionKdfSalt` - The encryption KDF salt

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`